## hubzero-cms-2.2.0 2.2.5.4-1+deb8

=== debian/changelog ===
hubzero-cms-2.2.0 (2.2.5.4-1+deb8) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 22 Jun 2018 22:14:33 -0400

## hubzero-cms-2.2.0 2.2.6.0-1+deb8

=== Makefile ===
# @package      hubzero-cms-2.2.0
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHARE=$(DESTDIR)/usr/share

all:
	@true

vendor:
	(COMPOSER_VENDOR_DIR=$(PWD)/vendor cms/core/bin/composer --ignore-platform-reqs --working-dir=cms/core install)

cms:
	(cd cms; git pull --ff-only)

install:
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.2.0
	cp -r cms $(USRSHARE)/hubzero-cms-2.2.0
	rm -fr $(USRSHARE)/hubzero-cms-2.2.0/cms/.git
	cp -r vendor  $(USRSHARE)/hubzero-cms-2.2.0/cms/core
	(cd  $(USRSHARE)/hubzero-cms-2.2.0/cms/core; bin/composer dumpautoload)
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D logrotate-cmsprofile.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf
	install --mode 0644 -D hub.m4 $(USRSHARE)/hubzero-cms-2.2.0/conf

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean vendor cms

=== debian/changelog ===
hubzero-cms-2.2.0 (2.2.6.0-1+deb8) unstable; urgency=low

  * upstream hubzero-cms 2.2.6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 10:12:45 -0400

hubzero-cms-2.2.0 (2.2.5.4-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 22 Jun 2018 22:14:33 -0400

=== debian/control ===
Source: hubzero-cms-2.2.0
Section: web
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.0
Homepage: http://hubzero.org

Package: hubzero-cms-2.2.0
Architecture: all
Replaces: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
Breaks: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
Depends: hubzero-cli (>=1.3.18),apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-cli,php5-mysql,php5-gd,php5-curl,exim4,mysql-client, unzip
Recommends: php5-stem, php5-oauth, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git, wkhtmltopdf, xvfb
Suggests: hubzero-mw-client (>=1.3.0)
Provides: hubzero-cms
Description: HUBzero Content Management System (CMS) 2.2.0
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of HUBzero Foundation, LLC.
 .
 This package contains the HUBzero Content Management System, which is based
 on (but not compatible with) the Joomla! CMS <joomla.org>.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms-2.2.0
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cms-2.2.0 install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-cms-2.2.0 2.2.7.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.2.0 (2.2.7.0-1+deb8) unstable; urgency=low

  * upstream hubzero-cms 2.2.7

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 10:18:34 -0400

hubzero-cms-2.2.0 (2.2.6.0-1) unstable; urgency=low

  * upstream hubzero-cms 2.2.6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Aug 2018 10:12:45 -0400
